// scrollPage, afterSectionLoads, getAnchorsURL - in fullpage.js
var username = null, avatar = null, points = 0, score = 0, percent = 0, temp = 0, progress = 0;;
var is_eBridge = false, bookmark;
var navigationArr = [3, 3, 7, 0, 0], menuInc = 1, popupCnt = 0, popupArr4 = [0,0,0,0], popupArr5 = [0,0,0], popupArr6 = [0,0,0,0], popupArr4_3 = [0,0,0,0,0,0,0,0];

$(document).ready(function(){
	$("#fp-nav").hide();
	$(".custom-nav, #menu1, #menu2, #menu3").hide();
	$('.navbar-nav').hide();

	bookmark = getBookmark();
	getSuspendData();
	
	if (bookmark != "" && bookmark != undefined && bookmark != 'undefined') {
		pageArr = bookmark.split(',');
		if (pageArr[0] == 1) {
			playVideo(1);
			// $(".menu-popup-list li a").addClass('disabled');
		}else {
			var section = Number(pageArr[0])+1;
			// $(".menu-popup-list li a").addClass('disabled');
			$("#bookmarking").modal({
				show: true,
				backdrop: false
			});

			pageNo = pageArr[0];
			for (var i=0; i<=pageNo; i++) {
				$("#indi"+i).addClass('done');
			}
		}

		if (pageArr[2] != "") {
			username = pageArr[2];
			$(".uname").html(username);
		}

		if (pageArr[3] != "") {
			avatar = pageArr[3];
			$(".user-avatar img").attr('src', './assets/images/avatar/avatar'+avatar+'.jpg');
		}
		score = pageArr[4];
		percent = parseFloat(Number(score/5)*100).toFixed(1);
		points = pageArr[5];
		$(".user-pts").text(points);
	}else {
		playVideo(1);
		pageNo = 0;
		markAsCompleted(pageNo);
		// $(".menu-popup-list li a").addClass('disabled');
	}

	$("#yes").click(function(){
		bookmarking(section, null);
		$("#bookmarking").modal('hide');
	});

	$("#no").click(function(){
		$("#bookmarking").modal('hide');
		$("#intro-video").modal({
			show: true,
			backdrop: false
		});
	});

	console.log('Suspend Data == '+suspendData);
});

function playVideo(flag){
	if (flag == 1) {
		disableScrollPopup();
		
		$("#intro-video").modal({
			show: true,
			backdrop: false
		});
		// $("#videoPage")[0].play();
	}
}

var vid = document.getElementById("videoPage");
vid.onended = function(){
	enableScrollPopup();
	$("#intro-video").modal('hide');
}

this.transcriptText(0);
function callToPlayAudio(page_no){
	if (page_no != 0) {
		$("#page-audio")[0].pause();
	    $("#page-audio")[0].play();
	}

	if (is_eBridge == true) {
		parent.updatePageInfo(Number(page_no+1));
	}

	if (page_no == 7) {
		$("#iframe1").attr('src', './captivate/show_me/index.html');
	}

	if (page_no == 10) {
		$("#iframe2").attr('src', './captivate/try_me/index.html');
	}

	if(page_no != 7 && page_no != 10){
		$("#iframe1").attr('src', '');
		$("#iframe2").attr('src', '');
	}

	if (page_no == 15) {
		$(".menu-icons").addClass('disabled');
	}else {
		$(".menu-icons").removeClass('disabled');
	}

	// Scorm bookmarking
	if (isScorm == true) {
		setBookmark(page_no, 0, username, avatar, score, points);
		if (pageNo == 3 || pageNo == 4 || pageNo == 8 || pageNo == 9 || pageNo == 11 || pageNo == 14) {
			markAsCompleted(pageNo);
		}
	}
	changePageTitle(page_no);
	console.log('Suspend Data == '+suspendData);
}

function stopAudio(page_no){
	$("#page-audio")[0].pause();
	if (page_no != 0) {
		$("#page-audio").attr('src', './assets/audio/page'+page_no+'.mp3');
		$("#page-audio").load();
	}

	console.log('Page Status ==== '+page_no+' / '+suspendData[page_no-1]);

	if (suspendData[page_no-1] == 0 || suspendData[page_no-1] == '') {
		// disableScrollPopup();
		// $("#next").removeClass('animate-btn').addClass('disabled');
		$("#next").removeClass('animate-btn');
	}else{
		enableScrollPopup();
	}
}

function callToChangeBg(page_no, page){
	$(".screen_main_"+page_no).css({'background-image':'url("./assets/images/banner/bg_'+page+'.png")','background-size':'cover'});
}

function audioMute(){
	$("audio")[0].volume = 0;
	$(".audio-btn").attr('onclick', 'audioUnmute()');
	$(".audio-btn i").removeClass('fa-volume-up').addClass('fa-volume-off');
	$(".audio-btn i").addClass('mute');
}

function audioUnmute(){
	$("audio")[0].volume = 1;
	$(".audio-btn").attr('onclick', 'audioMute()');
	$(".audio-btn i").addClass('fa-volume-up').removeClass('fa-volume-off');
	$(".audio-btn i").removeClass('mute');
}

function transcriptText(page_no){
	if(page_no == 0){
		$('.navbar-nav').hide();
	}else if (page_no > 0){
		$('.navbar-nav').show();
	}
	$.getJSON("./data/transcript.json", function(data){
		var page_trans = data[page_no].content;
		if (page_trans != '') {
			$(".transcript-btn").removeClass('disabled');
			$(".transcript-text").html(page_trans);
		}else {
			$(".transcript-btn").addClass('disabled');
		}
	});
}

function transcriptToggle(){
	$(".transcript-box").toggleClass('display hide');
}

function openNav() {
	var isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);
	if (isMobile) {
		document.getElementById("myNav").style.width = "100%";
	}else {
		document.getElementById("myNav").style.width = "30%";
	}
	unscrollPage();
}

function closeNav() {
	document.getElementById("myNav").style.width = "0%";
	scrollPage();
}

$('.custom-overlay-content a').click(function(){
	$(this).siblings('a').removeClass('current');
	$(this).addClass('current');
	setTimeout(function(){
		closeNav();
	}, 150);
});

function updatePageNo(page_no) {
	var pageId = Number(page_no);
    if(pageId.toString().length == 1) {
        pageId = '0'+pageId;
    }
    $("#pageId").text(pageId);
}

function changePageTitle(page_no){
	if (page_no >= 1 && page_no <= 7) {
		$("#page-title").text('Introduction');
		$(".menu-popup-list li:lt(1) a").removeClass('disabled');
	}else if(page_no >= 4 && page_no < 7) {
		$("#page-title").text('Fundamentals of Sustainability  Risk Framework');
		$(".menu-popup-list li:lt(2) a").removeClass('disabled');
	}else if(page_no >= 7 && page_no < 14) {
		$("#page-title").text('Using the SBR Tool');
		$(".menu-popup-list li:lt(3) a").removeClass('disabled');
	}else if(page_no == 14) {
		$("#page-title").text('Key Take-aways');
		$(".menu-popup-list li:lt(4) a").removeClass('disabled');
	}else if(page_no == 15) {
		$("#page-title").text('Assessment');
		$(".menu-popup-list li:lt(5) a").removeClass('disabled');
	}else {
		$("#page-title").text('Sustainability Risk Framework');
	}
}

$("#username").keyup(function(){
	if (($("#username").val()).length != 0) {
		$("#userBtn").attr('disabled', false);
		// $("#userBtn").attr('href', '#4');
	}else {
		$("#userBtn").attr('disabled', true);
		$("#userBtn").attr('href', 'javascript:void(0)');
	}
});

$("#userBtn").click(function(){
	username = $("#username").val();
	avatar = $("input[name='avatar']:checked").val();
	$(".uname").html(username);
	if (avatar) {
		$(".user-avatar img").attr('src', './assets/images/avatar/avatar'+avatar+'.jpg');
	}

	$("#username").prop('disabled', true);
	$("#userBtn").attr('disabled', true);

	markAsCompleted(pageNo)
});

function checkBoxSelect(){
	$.each($("input[name='sbrHr']:checked"), function () {
		$('#submit1').prop('disabled', false);
	});
}

$('input:radio[class="kn-radio"]').change(function(){
    if ($(this).is(':checked')) {
        $('#submit3').prop('disabled', false);
    }
});
$('input:radio[class="kn1-radio"]').change(function(){
    if ($(this).is(':checked')) {
        $('#submit4').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio1"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit1').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio2"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit2').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio3"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit3').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio4"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit4').prop('disabled', false);
    }
});
$('input:radio[name="assessRadio5"]').change(function(){
    if ($(this).is(':checked')) {
        $('#assess-submit5').prop('disabled', false);
    }
});

function checkBoxSelect1(){
	$.each($("input[name='quiz_time1']:checked"), function () {
		$('#submit2').prop('disabled', false);
	});
}

function modalToggle(modal_name, modal_id){
	$(modal_name+modal_id).modal('hide');
	var modal = Number(modal_id)+1;
	$(modal_name+modal).modal({
		show: true,
		backdrop: false
	});
}

function knowledgeCheck1(){
	var tempArray = []
	$('#knowledge1-feedback').html('<span class="text-danger">Please wait...</span>');
	
	$.each($("input[name='sbrHr']:checked"), function () {
		temp = $(this).val();
		if (temp != 4) {
			tempArray.push(temp);
		}else {
			$("#check4").after('<i class="fa fa-times wrong-ans text-danger"></i>');
		}
	});
	$("#check1").after('<i class="fa fa-check correct-ans text-success"></i>');
	$("#check2").after('<i class="fa fa-check correct-ans text-success"></i>');
	$("#check3").after('<i class="fa fa-check correct-ans text-success"></i>');
	
	points = 0;

	if (tempArray.length != 3) {
		$("#knowledge1-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-3">'
						+'<p class="scrn5_feedback_wrong textWhite text-bold">Not quite. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-9">'
						+'<p>Examples of human rights violations include:</p>'
						+'<ul class="scrn4_listStyle">'
							+'<li>Forced labour (e.g. slavery)</li>'
							+'<li>Harmful child labour</li>'
							+'<li>Relocation of indigenous populations without free, prior, informed consent</li>'
							+'<li>Torture</li>'
							+'<li>Murder and unlawful killing</li>'
						+'</ul>'
						+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
	}else {
		$("#knowledge1-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-3">'
						+'<p class="scrn5_feedback_right textWhite text-bold">That’s right. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-9">'
						+'<p>Examples of human rights violations include:</p>'
						+'<ul class="scrn4_listStyle">'
							+'<li>Forced labour (e.g. slavery)</li>'
							+'<li>Harmful child labour</li>'
							+'<li>Relocation of indigenous populations without free, prior, informed consent</li>'
							+'<li>Torture</li>'
							+'<li>Murder and unlawful killing</li>'
						+'</ul>'
						+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
		points = Number(points) + 100;
	}
	$(".user-pts").text(points);
	$("#submit1").after('<button class="btn btn-capsule modal_button1" onclick="closePopup(\'HumanRights2\');setComplete(1);">CONTINUE</button>');
	$("#submit1").hide();
	// $("#submit1").attr('onclick', 'closePopup("HumanRights2");setComplete(1);');
	$.each($("input[name='sbrHr']"), function () {
		$(this).attr('disabled', 'disabled');
	});
}

function displayContent(tab_id){
	popupArr4_3[tab_id-1] = 1;
	$.getJSON("./data/popup.json", function(data){
		var page_trans = data[tab_id-1].content;
		$("#tab-icon"+tab_id).removeClass('disable');
		$("#tab-content").html(page_trans);
	});

	if (popupArr4_3.indexOf(0) == -1) {
		$("#sector1 button").prop('disabled', false);
	}
}

function showOverlayTxtToggle(pop_id){
	$(".click"+pop_id+" .overlay").toggleClass('show ');
	if ($(".click"+pop_id+" .modal3_textpath").hasClass('complete') == false) {
		$(".click"+pop_id+" .modal3_textpath").addClass('complete');
		$(".click"+pop_id+" .modal3_textpath").after('<i class="fa fa-check"></i>');
	}
}

function showClickContent(displayId){
	if(displayId == 1){
		$(".showClickContent").addClass('show').fadeIn();
		$("#kateBtn").attr('onclick', 'showClickContent(0)');
	}else {
		$(".showClickContent").removeClass('show').fadeOut();
		$("#kateBtn").attr('onclick', 'showClickContent(1)');
	}
	$("#kateBtn i").toggleClass('fa-plus fa-minus');
}

$("#knowledge-topic1-start").click(function(){
	$(".default-slide").addClass('hide');
	$(".question1-slide").removeClass('hide');

	$(".screen_main_5").css({'background-image':'url("./assets/images/banner/bg_5_1.png")','background-size':'cover'});
});

$("#submit2").click(function(){
	var tempArray = [];
	$('#kn1-feedback').html('<span class="text-danger">Please wait...</span>');
	
	$.each($("input[name='quiz_time1']:checked"), function () {
		temp = $(this).val();
		if (temp != 2 && temp != 3) {
			tempArray.push(temp);
		}else {
			$("#kncheck"+temp).after('<i class="fa fa-times wrong-ans text-danger"></i>');
		}
	});
	$("#kncheck1").after('<i class="fa fa-check correct-ans text-success"></i>');
	$("#kncheck4").after('<i class="fa fa-check correct-ans text-success"></i>');
	
	if (tempArray.length != 2) {
		$("#kn1-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-2">'
						+'<p class="scrn9_feedback textWhite text-bold">Not quite. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-10 scrn9_q1_feedback">'
						+'<div class="text-bold text-left">The examples of sensitive business risks involves:</div>'
						+'<ul class="listStyle">'
							+'<li>Oil palm plantation in Indonesia</li>'
							+'<li>Transport of weapons to Iraq</li>'
						+'</ul>'
						+'<div class="text-bold text-left">These are not the examples of sensitive business risks:</div>'
						+'<ul class="listStyle">'
							+'<li>Road construction in Sweden</li>'
							+'<li>Transportation of radioactive material for medical treatment in Brazil</li>'
						+'</ul>'
					+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
	}else {
		$("#kn1-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-2">'
						+'<p class="scrn9_feedback textWhite text-bold">That’s correct. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-10 scrn9_q1_feedback">'
						+'<div class="text-bold text-left">The examples of sensitive business risks involves:</div>'
						+'<ul class="listStyle">'
							+'<li>Oil palm plantation in Indonesia</li>'
							+'<li>Transport of weapons to Iraq</li>'
						+'</ul>'
						+'<div class="text-bold text-left">These are not the examples of sensitive business risks:</div>'
						+'<ul class="listStyle">'
							+'<li>Road construction in Sweden</li>'
							+'<li>Transportation of radioactive material for medical treatment in Brazil</li>'
						+'</ul>'
					+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
		points = Number(points) + 100;
	}
	$(".user-pts").text(points);
	$("#submit2").after('<button class="btn btn-capsule knowledge_q2" onclick="$(\'.question1-slide\').addClass(\'hide\');$(\'.question2-slide\').removeClass(\'hide\');$(\'.screen_main_5\').css({\'background-image\':\'url(./assets/images/banner/bg_5_2.png)\'});">CONTINUE</button>');
	$("#submit2").hide();

	$.each($("input[name='quiz_time1']"), function () {
		$(this).attr('disabled', 'disabled');
	});
});

$("#submit3").click(function(){
	var tempArray = [];
	$('#kn2-feedback').html('<span class="text-danger">Please wait...</span>');
	$(".kn-radio").attr('disabled', true).parent().addClass('disable-options');

	var ans1 = $("input[name='radio1']:checked").val();
	var ans2 = $("input[name='radio2']:checked").val();
	var ans3 = $("input[name='radio3']:checked").val();
	var ans4 = $("input[name='radio4']:checked").val();
	if (ans1 == 0) {
		// check and show feedback
		tempArray.push(ans1);
		$("#radio1 .scrn6_tab_option_no").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$("#radio1 .scrn6_tab_option_yes").css({'background':'#c70e00','color':'#fff'});
	}
	if (ans2 == 1) {
		// check and show feedback
		tempArray.push(ans2);
		$("#radio2 .scrn6_tab_option_yes").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$("#radio2 .scrn6_tab_option_no").css({'background':'#c70e00','color':'#fff'});
	}
	if (ans3 == 0) {
		// check and show feedback
		tempArray.push(ans3);
		$("#radio3 .scrn6_tab_option_no").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$("#radio3 .scrn6_tab_option_yes").css({'background':'#c70e00','color':'#fff'});
	}
	if (ans4 == 1) {
		// check and show feedback
		tempArray.push(ans4);
		$("#radio4 .scrn6_tab_option_yes").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$("#radio4 .scrn6_tab_option_no").css({'background':'#c70e00','color':'#fff'});
	}

	if (tempArray.length != 4) {
		$("#kn2-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-2">'
						+'<p class="scrn5_q2_feedback textWhite text-bold">Not quite. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-10 top30">'
						+'<ul class="listStyle-kn2">'
							+'<li>Logging— <b>No</b>; only illegal logging would be prohibited under the Sustainability Risk Framework</li>'
							+'<li>Transport of weapons— <b>No</b>; only transport of weapons to conflict areas is prohibited under the Sustainability Risk Framework</li>'
							+'<li>Mine with evidence of harmful child labor— <b>Yes</b></li>'
							+'<li>Construction of dam in UNESCO World Heritage Site— <b>Yes</b></li>'
						+'</ul>'
					+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
	}else {
		$("#kn2-feedback").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12 col-sm-12">'
						+'<div class="col-md-2 col-sm-2">'
						+'<p class="scrn5_q2_feedback textWhite text-bold">Well done. </p>'
						+'</div>'
						+'<div class="col-md-10 col-sm-10 top30">'
						+'<ul class="listStyle-kn2">'
							+'<li>Logging— <b>No</b>; only illegal logging would be prohibited under the Sustainability Risk Framework</li>'
							+'<li>Transport of weapons— <b>No</b>; only transport of weapons to conflict areas is prohibited under the Sustainability Risk Framework</li>'
							+'<li>Mine with evidence of harmful child labor— <b>Yes</b></li>'
							+'<li>Construction of dam in UNESCO World Heritage Site— <b>Yes</b></li>'
						+'</ul>'
					+'</div>'
					+'</div>'
					+'</div>'
					+'</div>');
		points = Number(points) + 100;
	}
	$(".user-pts").text(points);
	$("#submit3").after('<button class="btn knowledge_q3 btn-capsule top30" onclick=\'$(".question2-slide").addClass("hide");$(".question3-slide").removeClass("hide");$(".screen_main_5").css({"background-image":"url(./assets/images/banner/bg_5_3.png)"});\'>CONTINUE</button>');
	$("#submit3").hide();
});

$("#submit4").click(function(){
	$(".kn1-radio").attr('disabled', true).parent().addClass('disable-options');

	var ans1 = $("input[name='radio5']:checked").val();
	var ans2 = $("input[name='radio6']:checked").val();
	var ans3 = $("input[name='radio7']:checked").val();
	var ans4 = $("input[name='radio8']:checked").val();
	var checkAns = [];

	if (ans1 == 0) {
		// check and show feedback
		$('.kn3-que1-feedback').html('<span class="textWhite"><b>Yes</b> - Such service would be viewed favorably but its absence is not against the Sustainability Risk Framework</span>');
		checkAns.push(ans1);
		$("#radio5 .scrn6_tab_option_no").css({'background':'#3baf07','color':'#fff'});
	}else {
		$('.kn3-que1-feedback').html('<span class="textWhite"><b>No</b> - Such service would be viewed favorably but its absence is not against the Sustainability Risk Framework</span>');
		$("#radio5 .scrn6_tab_option_yes").css({'background':'#c70e00','color':'#fff !important'});
	}

	if (ans2 == 1) {
		// check and show feedback
		$('.kn3-que2-feedback').html('<span class="textWhite"><b>Yes</b> - This age is well below any minimum age for work allowed by international standards</span>');
		checkAns.push(ans2);
		$("#radio6 .scrn6_tab_option_yes").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$('.kn3-que2-feedback').html('<span class="textWhite"><b>No</b> - This age is well below any minimum age for work allowed by international standards</span>');
		$("#radio6 .scrn6_tab_option_no").css({'background':'#c70e00','color':'#fff'});
	}

	if (ans3 == 1) {
		// check and show feedback
		$('.kn3-que3-feedback').html('<span class="textWhite"><b>Yes</b> - Indigenous communities must give free, prior, and informed consent to their relocation</span>');
		checkAns.push(ans3);
		$("#radio7 .scrn6_tab_option_yes").css({'background':'#3baf07','color':'#fff !important'});
	}else {
		$('.kn3-que3-feedback').html('<span class="textWhite"><b>No</b> - Indigenous communities must give free, prior, and informed consent to their relocation</span>');
		$("#radio7 .scrn6_tab_option_no").css({'background':'#c70e00','color':'#fff'});
	}

	if (ans4 == 0) {
		// check and show feedback
		$('.kn3-que4-feedback').html('<span class="textWhite"><b>Yes</b></span>');
		checkAns.push(ans4);
		$("#radio8 .scrn6_tab_option_no").css({'background':'#3baf07','color':'#fff'});
	}else {
		$('.kn3-que4-feedback').html('<span class="textWhite"><b>No</b></span>');
		$("#radio8 .scrn6_tab_option_yes").css({'background':'#c70e00','color':'#fff !important'});
	}

	if (checkAns.length == 4) {
		points = Number(points) + 100;
		$(".user-pts").text(points);
	}

	$("#submit4").after('<button class="btn knowledge_q3 btn-capsule top30" onclick=\'$(".question3-slide").addClass("hide");$(".quiz-summary").removeClass("hide"); markAsCompleted('+pageNo+');$(".screen_main_5").css({"background-image":"url(./assets/images/banner/bg_5_4.png)"});\'>CONTINUE</button>');
	$("#submit4").hide();

	setBookmark(pageNo, 0, username, avatar, score, points);
});

// Navigation Disable
function enablePreNav(){
	$(".fp-prev").css({'opacity':'1', 'pointer-events':'all'});
}

function disablePreNav(){
	$(".fp-prev").css({'opacity':'0.3', 'pointer-events':'none'});
}

function enableNextNav(){
	$(".fp-next").css({'opacity':'1', 'pointer-events':'all'});
}

function disableNextNav(){
	$(".fp-next").css({'opacity':'0.3', 'pointer-events':'none'});
}

function displayAssessmentQuestions(question_id){
	$("#pages").load('pages/question'+question_id+'.html');
}

function startAssessment(){
	$(".assessment-start").addClass('hide');
	$(".assessment-ques1").removeClass('hide');
}

function checkAns(form_id){
	var page = myFullpage.getAnchorsURL();
	var page_no = page.section;
	if (form_id == 1) {
		score = 0;
		var ans = $("input[name='assessRadio1']:checked").val();
		if (ans == 4) {
			// show correct feedback
			$("#assessment-feedback1").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">That\'s Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">The scope of the SBR Assessment Tool is limited to sustainability and reputation risks. It does not consider any technical underwriting, legal, compliance aspects or ITC.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			$("#assessRadio1_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback1").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">Not Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">The scope of the SBR Assessment Tool is limited to sustainability and reputation risks. It does not consider any technical underwriting, legal, compliance aspects or ITC.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio1_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio1_4").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio1").attr('disabled', true);
		$(".quiz_label1").addClass('disable-inputs');
		$("#assess-submit1").text('CONTINUE');
		$("#assess-submit1").attr("onclick", '$(".assessment-ques1").addClass("hide"); $(".assessment-ques2").removeClass("hide");');

		// Scorm bookmarking
		// setBookmark(page_no, 0, username, avatar, score, points);
	}else if (form_id == 2) {
		var ans = $("input[name='assessRadio2']:checked").val();
		if (ans == 2) {
			// check and show feedback
			$("#assessment-feedback2").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">That\'s Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			$("#assessRadio2_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback2").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">Not Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio2_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio2_2").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio2").attr('disabled', true);
		$(".quiz_label2").addClass('disable-inputs');
		$("#assess-submit2").text('CONTINUE');
		$("#assess-submit2").attr("onclick", '$(".assessment-ques2").addClass("hide"); $(".assessment-ques3").removeClass("hide");');

		// Scorm bookmarking
		// setBookmark(page_no, 0, username, avatar, score, points);
	}else if (form_id == 3) {
		var ans = $("input[name='assessRadio3']:checked").val();
		if (ans == 3) {
			// check and show feedback
			$("#assessment-feedback3").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">That\'s Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			$("#assessRadio3_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback3").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">Not Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio3_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio3_3").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio3").attr('disabled', true);
		$(".quiz_label3").addClass('disable-inputs');
		$("#assess-submit3").text('CONTINUE');
		$("#assess-submit3").attr("onclick", '$(".assessment-ques3").addClass("hide"); $(".assessment-ques4").removeClass("hide");');

		// Scorm bookmarking
		// setBookmark(page_no, 0, username, avatar, score, points);
	}else if (form_id == 4) {
		var ans = $("input[name='assessRadio4']:checked").val();
		if (ans == 3) {
			// check and show feedback
			$("#assessment-feedback4").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">That\'s Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			$("#assessRadio4_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback4").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">Not Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio4_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio4_3").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio4").attr('disabled', true);
		$("#assess-submit4").text('CONTINUE');
		$(".quiz_label4").addClass('disable-inputs');
		$("#assess-submit4").attr("onclick", '$(".assessment-ques4").addClass("hide"); $(".assessment-ques5").removeClass("hide");');

		// Scorm bookmarking
		// setBookmark(page_no, 0, username, avatar, score, points);
	}else if (form_id == 5) {
		var ans = $("input[name='assessRadio5']:checked").val();
		if (ans == 3) {
			// check and show feedback
			$("#assessment-feedback5").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">That\'s Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			score = Number(score) + 1;
			$("#assessRadio5_"+ans).before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}else {
			// show incorrect feedback
			$("#assessment-feedback5").html('<div class="container">'
						+'<div class="row">'
						+'<div class="col-md-12">'
						+'<div class="col-md-3">'
						+'<p class="feedback textWhite text-bold">Not Correct.</p>'
						+'</div>'
						+'<div class="col-md-9 scrn9_ques_feedback">'
						+'<p class="textWhite">Always use the SBR Assessment Tool as a first step. It is easy to use and will give you concrete guidance on how to proceed.</p>'
						+'</div>'
						+'</div>'
						+'</div>'
						+'</div>');
			$("#assessRadio5_"+ans).before('<i class="fa fa-times assessment-feedback-icon wrong"></i>');
			$("#assessRadio5_3").before('<i class="fa fa-check assessment-feedback-icon correct"></i>');
		}
		$(".assess-radio5").attr('disabled', true);
		$("#assess-submit5").text('CONTINUE');
		$(".quiz_label5").addClass('disable-inputs');
		$("#assess-submit5").attr("onclick", '$(".assessment-ques5").addClass("hide"); $(".assessment-summary").removeClass("hide");');
		$("#score").text(score);

		percent = parseFloat(Number(score/5)*100).toFixed(1);
		if (score >= 4) {
			$("#retake").hide();
			$(".certificate").show();
			$("#final-assessment-feedback").text('You have now successfully completed the e-learning on the Sustainibility Risk Framework.');
		}else {
			$(".certificate").hide();
			$("#retake").show();
			$("#final-assessment-feedback").text('Please retake assessment to complete the e-learning on the Sustainibility Risk Framework.');
		}

		// Scorm bookmarking
		setBookmark(pageNo, 0, username, avatar, score, points);
		markAsCompleted(pageNo);

		if (score >= 4) {
			courseComplete();
		}
	}
}

function reset(){
	$(".assess-radio1").attr('disabled', false).attr('checked',false);
	$(".assess-radio2").attr('disabled', false).attr('checked',false);
	$(".assess-radio3").attr('disabled', false).attr('checked',false);
	$(".assess-radio4").attr('disabled', false).attr('checked',false);
	$(".assess-radio5").attr('disabled', false).attr('checked',false);

	$("#assess-submit1").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(1)');
	$("#assess-submit2").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(2)');
	$("#assess-submit3").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(3)');
	$("#assess-submit4").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(4)');
	$("#assess-submit5").text('SUBMIT').attr('disabled', true).attr("onclick", 'checkAns(5)');

	$(".feedbacksection_scrn9").html('');

	$(".assessment-summary").addClass('hide');
	$(".assessment-start").removeClass('hide');

	$(".quiz_label1").removeClass('disable-inputs');
	$(".quiz_label2").removeClass('disable-inputs');
	$(".quiz_label3").removeClass('disable-inputs');
	$(".quiz_label4").removeClass('disable-inputs');
	$(".quiz_label5").removeClass('disable-inputs');

	$(".assessment-feedback-icon").hide();

	score = 0;
}

function openPopup(popupId){
	$("#"+popupId).modal({
		show: true,
		backdrop: false
	});
}

function closePopup(popupId){
	$("#"+popupId).modal('hide');
}

function setCompletePage5(popupId){
	$(".page5_btnBox"+popupId).addClass('complete');
	popupArr5[popupId-1] = 1;
	if (popupArr5.indexOf(0) == -1) {
		markAsCompleted(pageNo);
	}
}

function setCompletePage6(popupId){
	$(".screen04_btn"+popupId).addClass('complete');
	popupArr6[popupId-1] = 1;
	if (popupArr6.indexOf(0) == -1) {
		markAsCompleted(pageNo);
	}
}

function disableScrollPopup(){
	myFullpage.setAllowScrolling(false, 'all');
    myFullpage.setKeyboardScrolling(false, 'all');
}

function enableScrollPopup(){
	myFullpage.setAllowScrolling(true, 'all');
    myFullpage.setKeyboardScrolling(true, 'all');
}

function bookmarking(page_no, slide_no){
	if (page_no == 7) {
		if (suspendData[page_no-1] == 1) {
			$(".default-slide").addClass('hide');
			$(".quiz-summary").removeClass('hide');
		}
	}

	if (suspendData.indexOf("0") == -1) {
		$('.assessment-start').addClass('hide');
		$('.assessment-summary').removeClass('hide');
		$("#retake").hide();
		$("#score").text(score);
	}
	myFullpage.customScrollToAnchor(page_no, slide_no);
}

function setComplete(icon_id){
	if (icon_id == 1) {
		$(".page4_btn1 #check-icon").html('<i class="fa fa-check-circle"></i>');
	}else if (icon_id == 2) {
		$(".page4_btn2 #check-icon").html('<i class="fa fa-check-circle"></i>');
	}else if (icon_id == 3) {
		$(".page4_btn3 #check-icon").html('<i class="fa fa-check-circle"></i>');
	}else if (icon_id == 4) {
		$(".page4_btn4 #check-icon").html('<i class="fa fa-check-circle"></i>');
	}

	popupArr4[icon_id-1] = 1
	if (popupArr4.indexOf(0) == -1) {
		markAsCompleted(pageNo);
	}
}


$('#page6-carousel, #page7-carousel, #page13-carousel').carousel({
    interval: false
});


function toggleMenu(){
	$(".menu-popup").toggleClass('show ');
}

function updateProgressBar(page_no, direction){
	if (direction == 'down') {
		progress = Math.round((page_no/7)*100);
		console.log(temp+'---'+progress)
		if (temp <= progress) {
			$("#course-progress").css({'width':progress});
			$("#course-progress").attr('aria-valuenow', progress);
			temp = progress;
		}
	}
}

function navigation(page_no, direction){
	var prev = Number(page_no-1);
	var next = Number(page_no)+Number(1);
	$(".custom-nav #prev").attr('href', '#'+prev);
	$(".custom-nav #next").attr('href', '#'+next);

	if (page_no >= 2 && page_no <= 7) {
		// Navigation for menu 1
		$(".custom-nav, #menu1").show();
		$("#menu2, #menu3").hide();

		if($("#indi"+prev).hasClass('active')){
			$("#indi"+prev).removeClass('active').addClass('done');
		}

		if($("#indi"+next).hasClass('active')){
			$("#indi"+next).removeClass('active').addClass('done');
		}
		
		$("#indi"+page_no).addClass('active');
	}else if (page_no >= 5 && page_no <= 7) {
		// Navigation for menu 2
		$(".custom-nav, #menu2").show();
		$("#menu1, #menu3").hide();
		
		if($("#indi"+prev).hasClass('active')){
			$("#indi"+prev).removeClass('active').addClass('done');
		}

		if($("#indi"+next).hasClass('active')){
			$("#indi"+next).removeClass('active').addClass('done');
		}
		
		$("#indi"+page_no).addClass('active');
	}else if (page_no >= 8 && page_no <= 14) {
		// Navigation for menu 3
		$(".custom-nav, #menu3").show();
		$("#menu1, #menu2").hide();
		
		if($("#indi"+prev).hasClass('active')){
			$("#indi"+prev).removeClass('active').addClass('done');
		}

		if($("#indi"+next).hasClass('active')){
			$("#indi"+next).removeClass('active').addClass('done');
		}
		
		$("#indi"+page_no).addClass('active');
	}else {
		// Hide the Navigation
		$(".custom-nav, #menu1, #menu2, #menu3").hide();
	}
}

function showMe(pageno){
	markAsCompleted(pageNo);
}

function tryMe(pageno){
	markAsCompleted(pageNo);
}

function markAsCompleted(page_no){
	if (isScorm == true) {
		suspendData[page_no] = 1;
		setSuspendData(suspendData);
	}

	enableScrollPopup();
	$("#next").addClass('animate-btn').removeClass('disabled');
}